[API Reference](../README.md) > [IBurnableTokenWrapper](../interfaces/IBurnableTokenWrapper.md)

# Interface: IBurnableTokenWrapper

## Hierarchy

**IBurnableTokenWrapper**

## Implemented by

* [DaoTokenWrapper](../classes/DaoTokenWrapper.md)

## Index

### Properties

* [Burn](IBurnableTokenWrapper.md#Burn)

### Methods

* [burn](IBurnableTokenWrapper.md#burn)

---

## Properties

<a id="Burn"></a>

###  Burn

**● Burn**: *[EventFetcherFactory](../#EventFetcherFactory)<[BurnEventResult](BurnEventResult.md)>*

*Defined in [wrappers/iBurnableToken.ts:10](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/iBurnableToken.ts#L10)*

___

## Methods

<a id="burn"></a>

###  burn

▸ **burn**(options: * [BurnableTokenBurnOptions](BurnableTokenBurnOptions.md) & `TxGeneratingFunctionOptions`*): `Promise`<[ArcTransactionResult](../classes/ArcTransactionResult.md)>

*Defined in [wrappers/iBurnableToken.ts:16](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/iBurnableToken.ts#L16)*

Burn the given number of tokens

**Parameters:**

| Param | Type | Description |
| ------ | ------ | ------ |
| options |  [BurnableTokenBurnOptions](BurnableTokenBurnOptions.md) & `TxGeneratingFunctionOptions`|   |

**Returns:** `Promise`<[ArcTransactionResult](../classes/ArcTransactionResult.md)>

___

